"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tasks_1 = require("@angular-devkit/schematics/tasks");
const utils_1 = require("../utils");
function ngAddCustomWebpack(options) {
    return (host, context) => {
        const ngCoreVersionTag = utils_1.getPackageVersionFromPackageJson(host, '@angular/core');
        const angularDependencyVersion = ngCoreVersionTag || '0.0.0-NG';
        utils_1.addPackageToPackageJson(host, '@angular-builders/custom-webpack', tilderize(angularDependencyVersion), 'devDependencies');
        utils_1.setAllCustomWebpackBuilderToAngularJson(host, options.project, options.path);
        context.addTask(new tasks_1.NodePackageInstallTask());
    };
}
exports.ngAddCustomWebpack = ngAddCustomWebpack;
function tilderize(version) {
    version = ['~', '^'].indexOf(version[0]) != -1 ? version.substring(1) : version;
    const [major, minor, patch] = version.split('.');
    return `~${major}.${minor}.0`;
}
//# sourceMappingURL=index.js.map